#![allow(clippy::string_slice, reason = "tests are allowed to panic")]

use super::{Error, ErrorKind, Span};

pub fn spanned_json(span: Span, json: &str) -> &str {
    &json[span.start..span.end]
}

#[test]
const fn error_should_be_send_and_sync() {
    const fn f<T: Send + Sync>() {}

    f::<Error>();
    f::<ErrorKind>();
}
